Search Products v2

API endpoint is used to search for products on Amazon and generate affiliate links using your own tracking id.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Returns a list of all products matching the input criteria (like keywords, artists etc)

Mandatory Parameters

Following are the mandatory parameters to be sent while calling the API

Header

  • Content-Type: application/json
  • x-api-key: API license key

Payload

  • partner_tag: The tracking id / store id you want to use in the affiliate links.

Optional Parameters

Following are optional parameters to send in the payload. For more details of each parameter, please take a look here

  • keywords
  • searchIndex - (Default 'All')
  • itemCount - (Default 10)
  • resources - (Default ["images.primary.large", "itemInfo.title", "offersV2.listings.price"])
  • actor
  • artist
  • author
  • availability
  • brand
  • browseNodeId
  • condition - (Default 'Any')
  • currencyOfPreference
  • deliveryFlags
  • itemPage
  • languagesOfPreference
  • maxPrice
  • minPrice
  • merchant
  • minReviewsRating
  • minSavingPercent
  • properties
  • sortBy - (Default 'Relevance')
  • title

Return Codes

This API uses the following error codes:

  • 400 Bad Request: The request was malformed or missing required parameters.
  • 401 Unauthorized: Either Access Key or Secret Key is invalid or missing.
  • 403 Forbidden: The API key provided was invalid or missing.
  • 404 Not Found: The requested resource was not found.
  • 429 Too Many Requests: Too many requests have been sent within time window or limit exceeded
  • 500 Internal Server Error: An unexpected error occurred on the server.

Sample Request Payload

{
  "partner_tag": "<your-partner-tag>",
	"keywords":"harry potter", 
	"itemCount": 5, 
	"searchIndex" : "AmazonVideo",
	"resources": [
	    "itemInfo.title",
	    "offersV2.listings.price",
	    "images.primary.large"
	]
}
Body Params
string
required

The tracking id / store id you want to use in the affiliate links.

string
required

Keyword to search

resources
array of strings
required

Information to be returned from API. See examples values above

resources*
Headers
string
required

Affimation API license key

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json